Tiers can be populated with your Creator Group members to give them different revenue shares than the default defined for your Creator Group.
Get group tiers
Section titled “Get group tiers”Retrieve all of your tiers with the following route:
GET
/manage/tiersView full referenceParameters, responses, and status codes.
curl -X 'GET' \ 'https://api.nexus.gg/v1/manage/tiers' \ -H 'accept: application/json' \ -H 'X-SHARED-SECRET: nexus_sk_your_key_here'The status should be 200 OK with a JSON response body that looks something like this:
{ "groupId": "AJ9OPrEFt4AAVJcA", "groupName": "My Super Cool Game 2", "currentPage": 1, "currentPageSize": 100, "totalCount": 3, "groupTiers": [ { "id": "PGUeDx1h9dB5_-Or-CtJO", "name": "Bronze", "revShare": 15, "memberCount": 5 }, { "id": "k5jDeTB3SEqZP_tr6LuPs", "name": "Silver", "revShare": 20, "memberCount": 10 }, { "id": "R4hScVHFLHLtL63UyzCOA", "name": "Gold", "revShare": 25, "memberCount": 1 } ]}Creator Group Tier details
Section titled “Creator Group Tier details”To retrieve details on a specific Creator Group Tier, including its members list, use the following route:
GET
/manage/tiers/{tierId}View full referenceParameters, responses, and status codes.
curl -X 'GET' \ 'https://api.nexus.gg/v1/manage/tiers/R4hScVHFLHLtL63UyzCOA?page=1&pageSize=100' \ -H 'accept: application/json' \ -H 'X-SHARED-SECRET: nexus_sk_your_key_here'The status should be 200 OK with a JSON response body that looks something like this:
{ "groupId": "AJ9OPrEFt4AAVJcA", "groupName": "My Super Cool Game 2", "id": "R4hScVHFLHLtL63UyzCOA", "name": "Gold", "revShare": 25, "currentPage": 1, "currentPageSize": 100, "totalCount": 1, "members": [ { "id": "9jd7RBR_B2BZ0uWO3_lgv", "name": "PopcornFrog", "logoImage": "https://cdn.nexus.gg/9jd7RBR_B2BZ0uWO3_lgv/images/logo-image.jpg", "profileImage": "https://cdn.nexus.gg/2/images/profile-image.jpg", "codes": [{ "code": "popcornfrog", "isPrimary": true, "isGenerated": false, "isManaged": false }] } ]}